retinajs();
// Attempts to process all participating elements that
// haven't been processed before.
retinajs( $('img') );
retinajs( document.querySelectorAll('img') );

$(document).ready(function() {
    function isEmail(email) {
      var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
      return regex.test(email);
    }
    var right = (($(window).innerWidth()-$(".body").innerWidth())/2);
    var menuWidth = (($(".body").innerWidth()*0.21));
    $(".menu").css("width",menuWidth);
    $(".menu").css("right",right);
    $( window ).resize(function() {
        var right = (($(window).innerWidth()-$(".body").innerWidth())/2);
        var menuWidth = (($(".body").innerWidth()*0.21));
        $(".menu").css("width",menuWidth);
        $(".menu").css("right",right);
    });
    $(".menu ul li").click(function(){

        if($(this).hasClass('active')){ 
            $(this).removeClass('active');
        }
        else{  
            $(".menu ul li").removeClass('active');
            $(this).addClass('active');
        }
    });
    $("#slider").slideme({
        arrows: true,
        pagination: "numbers",
        loop:true,
        labels : {
            next: '',
            prev: ''
        },
        resizable: {
            width: 1100,
            height: 620,
        }
    });
    $('[required]').each(function(){
        if($(this).val()!=''){
            $(this).show();
            $(this).parent(".div-input").css("line-height",1.5);
            $(this).parent(".div-input").removeClass("error");
            $(this).nextAll(".input-required").hide();
            $(this).nextAll(".input-ok").show();
        }
    });
    $("label").click(function(){
        var input = $(this).attr("for");
        $("input#"+input+"").show();
        $(this).parent(".div-input").css("line-height",1.5);
    });
    $("input[required]").keyup(function(){
        if(($(this).val() != '' && $(this).attr("name")=="email") && !isEmail($(this).val())){
            $(this).parent(".div-input").addClass("error");
            $(this).nextAll(".input-message").hide();
            $(this).nextAll(".input-email-format").show();
            
        }
        else if($(this).val() != ''){
            console.log($(this).attr("name"));
            $(this).parent(".div-input").removeClass("error");
            $(this).nextAll(".input-message").hide();
            $(this).nextAll(".input-ok").show();
        }         
        else{
            $(this).parent(".div-input").addClass("error");
            $(this).nextAll(".input-required").show();
            $(this).nextAll(".input-ok").hide();
        }
    });

    $("#form").submit(function(e){
        e.preventDefault();
        var focus = false;
        $('[required]').each(function(){ 
            if($(this).val()==''){     
                $(this).parent(".div-input").addClass("error");
                if(focus == false){
                    $(this).focus();
                    focus = true;
                }   
            }
            else if($(this).attr("name")=="email" && !isEmail($("#email").val())){
                $("#email").parent(".div-input").addClass("error");
                alert("non mais");
            }
            
        });
        if (!$(".div-input").hasClass("error")){
            var civilite = $("#civilite option:selected").val();
            var nom = $("#nom").val();
            var prenom = $("#prenom").val();
            var email =  $("#email").val();
            var adresse = $("#adresse").val();
            var complement = $("#complement").val();
            var cp = $("#cp").val();
            var ville = $("#ville").val();
            if($("#newsletter-avene").is(':checked'))
                var newsletterAvene='oui';
            else
                var newsletterAvene='non';

            if($("#newsletter-fabre").is(':checked'))
                var newsletterFabre='oui';
            else
                var newsletterFabre='non';

            var data = 'civilite='+ civilite + '&nom=' + nom + '&prenom=' + prenom + '&email=' + email + '&adresse=' + adresse + '&complement=' + complement +'&cp=' +cp+ '&ville='+ville + '&newsletterAvene='+newsletterAvene + '&newsletterFabre='+newsletterFabre;
            if (nom == '' || prenom == '' || email == '' || adresse == '' || ville == '' || cp == '') {
                alert("Veuillez remplir tous les champs obligatoires");
            } 
            else if($("#conditions").is(':not(:checked)')){
                alert("Veuillez accepter les conditions du jeu concours");
            }
            else if(!isEmail($("#email").val())){
                alert("Veuillez entrer un email valide");
            }
            else{
            // AJAX code to submit form.
                $.ajax({
                    type: "POST",
                    url: "email.php",
                    data: data,
                    cache: false,
                    success: function(html) {
                            if(html=="unique"){
                                $("#form").hide();
                                $("#unique").show();
                            }
                            else{
                                $("#form").hide();
                                $("#merci").show();
                            }
                        }
                    });
                }
            return false;
        }
    });
});