$(document).ready(function () {
    $(window).scroll(function () {
        var window_top = $(window).scrollTop() + 12;
        // the "12" should equal the margin-top value for nav.stickydiv
        var div_top = $('#checkdiv').offset().top;
        if (window_top >= div_top) {
            $('nav').addClass('stickydiv');
        } else {
            $('nav').removeClass('stickydiv');
        }
    });

    $(document).on("scroll", onScroll);
    console.log(scroll);
    $('a[href^="#"]').on('click', function (e) {
        e.preventDefault();
        $(document).off("scroll");
        $('li').each(function () {
            $(this).removeClass('active');
        })
        $(this).addClass('active');
        var target = this.hash,
            menu = target;
        $target = $(target);
        $('html, body').stop().animate({
            'scrollTop': $target.offset().top + 2
        }, 600, 'swing', function () {
            window.location.hash = target;
            $(document).on("scroll", onScroll);
        });
    });
});

function onScroll(event) {
    var scrollPos = $(document).scrollTop();
    $('.menu a').each(function () {
        var currLink = $(this);
        var refElement = $(currLink.attr("href"));
        if (refElement.position().top <= scrollPos && refElement.position().top + refElement.height() > scrollPos) {
            $('.menu ul li').removeClass("active");
            currLink.parent("li").addClass("active");
        } else {
            currLink.parent("li").removeClass("active");
        }
    });
}